Subject: bug#75990: closed (Re: [bug#75990] [PATCH] gnu: hyprlang: Update to 0.6.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Feb 2025 20:19:02 +0000

Your bug report

#75990: [PATCH] gnu: hyprlang: Update to 0.6.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75990: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75990
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75990] [PATCH] gnu: hyprlang: Update to 0.6.0.
From: John Kehayias <[email-masked]>
To: Andrew Wong <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Feb 2025 20:18:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Feb 01, 2025 at 05:12 AM, Andrew Wong wrote:

> * gnu/packages/cpp.scm (hyprlang): Update to 0.6.0.
> [native-ihputs]: Replace gcc-13 with gcc-14.
>

Thanks! I already had #75923 in my inbox so I applied that series now
which included these same changes. Sorry for any duplicated work!

John

> Change-Id: I0d0275969570033b225726d53e5df1af87c038d9
> ---
> This is required to make the latest version of hyprpaper work. 'add
> hyprpaper' patch is sent in bug#75435, and an update has been made to
> the downstream channel which requires a newer hyprlang, but I don't
> want to be the one to upstream it as I don't want to steal the channel
> maintainer's thunder.
>  gnu/packages/cpp.scm | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
>
> diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> index c8199af9ce..add12ef1cc 100644
> --- a/gnu/packages/cpp.scm
> +++ b/gnu/packages/cpp.scm
> @@ -704,7 +704,7 @@ (define-public hyprgraphics
>  (define-public hyprlang
>    (package
>      (name "hyprlang")
> -    (version "0.5.3")
> +    (version "0.6.0")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -713,7 +713,7 @@ (define-public hyprlang
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "0yvfrz3hdyxzhngzhr0bgc5279ra5fv01hbfi6pdj84pz0lpaw02"))))
> +                "18f8vlg5ypw35gyi8gy0wqh5jvg1q67qywrb750bx8pk9gi1agx2"))))
>      (build-system cmake-build-system)
>      (arguments
>       (list
> @@ -726,7 +726,8 @@ (define-public hyprlang
>                   (string-append
>                    "set(PKG_CONFIG_EXECUTABLE " #$(pkg-config-for-target) ")\n"
>                    all))))))))
> -    (native-inputs (list gcc-13 pkg-config))
> +    (native-inputs (list gcc-14         ;for c++23 <print> header
> +                         pkg-config))
>      (inputs (list hyprutils))
>      (home-page "https://wiki.hyprland.org/Hypr-Ecosystem/hyprlang/")
>      (synopsis "Official implementation library for hypr config language")
>
> base-commit: f2b3c36bee8c232b026a66de93db38e13fbd7076

Subject: [PATCH] gnu: hyprlang: Update to 0.6.0.
From: Andrew Wong <[email-masked]>
To: [email-masked]
Cc: Andrew Wong <[email-masked]>
Date: Sat, 1 Feb 2025 05:12:04 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/cpp.scm (hyprlang): Update to 0.6.0.
[native-ihputs]: Replace gcc-13 with gcc-14.

Change-Id: I0d0275969570033b225726d53e5df1af87c038d9
---
This is required to make the latest version of hyprpaper work. 'add hyprpaper' patch is sent in bug#75435, and an update has been made to the downstream channel which requires a newer hyprlang, but I don't want to be the one to upstream it as I don't want to steal the channel maintainer's thunder.
 gnu/packages/cpp.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index c8199af9ce..add12ef1cc 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -704,7 +704,7 @@ (define-public hyprgraphics
 (define-public hyprlang
   (package
     (name "hyprlang")
-    (version "0.5.3")
+    (version "0.6.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -713,7 +713,7 @@ (define-public hyprlang
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0yvfrz3hdyxzhngzhr0bgc5279ra5fv01hbfi6pdj84pz0lpaw02"))))
+                "18f8vlg5ypw35gyi8gy0wqh5jvg1q67qywrb750bx8pk9gi1agx2"))))
     (build-system cmake-build-system)
     (arguments
      (list
@@ -726,7 +726,8 @@ (define-public hyprlang
                  (string-append
                   "set(PKG_CONFIG_EXECUTABLE " #$(pkg-config-for-target) ")\n"
                   all))))))))
-    (native-inputs (list gcc-13 pkg-config))
+    (native-inputs (list gcc-14         ;for c++23 <print> header
+                         pkg-config))
     (inputs (list hyprutils))
     (home-page "https://wiki.hyprland.org/Hypr-Ecosystem/hyprlang/")
     (synopsis "Official implementation library for hypr config language")

base-commit: f2b3c36bee8c232b026a66de93db38e13fbd7076
-- 
2.48.1